//Bender shader par Gigon et Raven//////

textures/el_bender/el_botclip
{
    qer_trans 0.40
    surfaceparm nodraw
    surfaceparm nomarks
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm detail
    surfaceparm donotenter
    surfaceparm monsterclip
}

////////////////////////////ENVIRONEMENT

textures/el_bender/bender_sky
{
        
	q3map_lightimage textures/el_bender/lightref.tga
        qer_editorimage textures/el_bender/el_skybox.tga
        q3map_surfacelight 120
        surfaceparm noimpact
	surfaceparm nomarks
        surfaceparm nolightmap
        surfaceparm sky
        q3map_sun 1 1 1 75 110 60 
	skyParms env/bstars 512 -
}

textures/el_bender/grille
{
    surfaceparm metalsteps
    surfaceparm trans
    {
        map textures/el_bender/grille.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ZERO
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/el_bender/benderfangrill
{
    surfaceparm trans
    {
        map textures/el_bender/benderfangrill.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ZERO
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/el_bender/benderfanfan
{
    surfaceparm trans
    cull disable
    {
        map textures/el_bender/benderfanfan.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ZERO
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/el_bender/rollexx2
{
    qer_trans 0.5
    surfaceparm trans
    tessSize 48
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/el_bender/rollexx2.tga
        blendFunc GL_ONE GL_ONE
        tcGen environment
    }
}

textures/el_bender/rollexx3
{
    surfaceparm trans
    cull disable
    {
        map textures/el_bender/rollexx3.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ZERO
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/el_bender/chainenoir
{
    surfaceparm alphashadow
    deformVertexes autoSprite2
    cull disable
    {
        map textures/el_bender/chainenoir.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ZERO
    depthFunc equal
    rgbGen identity
    }
}

textures/el_bender/chainebronze
{
    surfaceparm alphashadow
    deformVertexes autoSprite2
    cull disable
    {
        map textures/el_bender/chainebronze.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ZERO
    depthFunc equal
    rgbGen identity
    }
}

/////////////////////////DCALQUES

textures/el_bender/d_madeinmexico
{
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    polygonOffset
    {
        map textures/el_bender/d_madeinmexico.tga
        alphaFunc GT0
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/el_bender/d_8oms
{
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    polygonOffset
    {
        map textures/el_bender/d_8oms.tga
        alphaFunc GT0
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/el_bender/d_ofml
{
    surfaceparm nomarks
    surfaceparm nolightmap
    //surfaceparm trans
    polygonOffset
    {
        map textures/el_bender/d_ofml.tga
        alphaFunc GT0
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/el_bender/d_8ball
{
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    polygonOffset
    {
        map textures/el_bender/d_8ball.tga
        alphaFunc GT0
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/el_bender/d_dangerous
{
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    polygonOffset
    {
        map textures/el_bender/d_dangerous.tga
        alphaFunc GT0
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/el_bender/d_dangerline
{
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    polygonOffset
    {
        map textures/el_bender/d_dangerline.tga
        alphaFunc GT0
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/el_bender/d_onering
{
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    polygonOffset
    {
        map textures/el_bender/d_onering.tga
        alphaFunc GT0
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/el_bender/d_autodestruc
{
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    polygonOffset
    {
        map textures/el_bender/d_autodestruc.tga
        alphaFunc GT0
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

///////////////////////////lumires

textures/el_bender/l_globerouge
{
    q3map_surfacelight 1200
    surfaceparm nolightmap
    {
        map textures/el_bender/l_globerouge.tga
    }
}

textures/el_bender/l_globevert
{
    q3map_surfacelight 1200
    surfaceparm nolightmap
    {
        map textures/el_bender/l_globevert.tga
    }
}

textures/el_bender/l_globeaqua
{
    q3map_surfacelight 1200
    surfaceparm nolightmap
    {
        map textures/el_bender/l_globeaqua.tga
    }
}

textures/el_bender/l_globeorange
{
    q3map_surfacelight 1200
    surfaceparm nolightmap
    {
        map textures/el_bender/l_globeorange.tga
    }
}

textures/el_bender/l_globerose
{
    q3map_surfacelight 1200
    surfaceparm nolightmap
    {
        map textures/el_bender/l_globerose.tga
    }
}

textures/el_bender/l_servicelight0
{
    q3map_surfacelight 1250
    surfaceparm nolightmap
    {
        map textures/el_bender/l_servicelight0.tga
    }
}

textures/el_bender/l_servicelight1
{
    q3map_surfacelight 1250
    surfaceparm nolightmap
    {
        map textures/el_bender/l_servicelight1.tga
    }
}

textures/el_bender/eusophagus
{
    q3map_surfacelight 120
    surfaceparm nolightmap
    {
        map textures/el_bender/eusophagus.tga
    }
}

textures/el_bender/rollexx0
{
    q3map_surfacelight 600
    surfaceparm nolightmap
    {
        map textures/el_bender/rollexx0.tga
    }
}

///////////////////////////EFFECTS

textures/el_bender/thruster
{
    qer_editorimage textures/el_bender/thrust01.tga
    surfaceparm nolightmap
    deformVertexes autoSprite2
    cull disable
    {
        animMap 10 textures/el_bender/thrust01.tga textures/el_bender/thrust02.tga textures/el_bender/thrust01.tga textures/el_bender/thrust02.tga 
        blendFunc GL_ONE GL_SRC_ALPHA
    }
}

textures/el_bender/match_flame
{
    qer_editorimage textures/el_bender/matches4.tga
    surfaceparm nolightmap
    deformVertexes autoSprite2
    cull disable
    {
        animMap 10 textures/el_bender/matches4.tga textures/el_bender/matches5.tga textures/el_bender/matches4.tga textures/el_bender/matches5.tga 
        blendFunc GL_ONE GL_SRC_ALPHA
    }
}

textures/el_bender/visualdevice
{
    qer_editorimage textures/el_bender/visualdevice00
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/el_bender/visualdevice00.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/el_bender/visualdevice01.tga
        blendFunc GL_ONE GL_ONE
        tcMod scroll 0 -0.46
    }
    {
        map textures/el_bender/visualdevice01.tga
        blendFunc GL_ONE GL_ONE
        tcMod scroll 0 0.46
    }
}

textures/el_bender/botche
{
    qer_editorimage textures/el_bender/botche.tga
    q3map_surfacelight 210
    surfaceparm nolightmap
    {
        map textures/el_bender/botche.tga
        tcMod scale 0.37 0.14
        tcMod scroll -0.4 0.10
    }
    {
        map textures/el_bender/botche.tga
        blendFunc GL_DST_COLOR GL_ONE
        tcMod scale 0.25 0.13
        tcMod scroll 0.72 -0.12
    }
}

/////////////////////////SHINES

textures/el_bender/s_gold
{
    {
        map textures/el_bender/s_gold.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/el_bender/el_shine00.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        rgbGen identity
        tcGen environment
    }
}

textures/el_bender/rollexx1
{
    {
        map textures/el_bender/rollexx1.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/el_bender/el_shine00.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        rgbGen identity
        tcGen environment
    }
}

textures/el_bender/s_blanc
{
    {
        map textures/el_bender/s_blanc.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/el_bender/el_shine00.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/el_bender/s_ruby
{
    {
        map textures/el_bender/s_ruby.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/el_bender/el_shine00.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/el_bender/s_noir
{
    {
        map textures/el_bender/s_noir.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/el_bender/el_shine00.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/el_bender/s_goldcredit
{
    {
        map textures/el_bender/s_goldcredit.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/el_bender/el_shine00.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        rgbGen identity
        tcGen environment
        tcMod scale 3 3
    }
}

textures/el_bender/s_coin0
{
    {
        map textures/el_bender/s_coin0.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/el_bender/el_shine00.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        rgbGen identity
        tcGen environment
    }
}

textures/el_bender/s_coin1
{
    {
        map textures/el_bender/s_coin1.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/el_bender/el_shine00.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        rgbGen identity
        tcGen environment
    }
}

textures/el_bender/s_coin2
{
    {
        map textures/el_bender/s_coin2.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/el_bender/el_shine00.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        rgbGen identity
        tcGen environment
    }
}

textures/el_bender/s_coinside0
{
    {
        map textures/el_bender/s_coinside0.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/el_bender/el_shine00.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        rgbGen identity
        tcGen environment
    }
}

textures/el_bender/s_coinside1
{
    {
        map textures/el_bender/s_coinside1.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/el_bender/el_shine00.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        rgbGen identity
        tcGen environment
    }
}

textures/el_bender/s_graykey
{
    {
        map textures/el_bender/s_graykey.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/el_bender/el_shine00.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        rgbGen identity
        tcGen environment
    }
}

textures/el_bender/s_medal
{
    {
        map textures/el_bender/s_medal.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/el_bender/el_shine00.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        rgbGen identity
        tcGen environment
    }
}

/////////////////////////METALSTEPS

textures/el_bender/benderhull1
{
	surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/el_bender/benderhull1.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/el_bender/benderhull2
{
	surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/el_bender/benderhull2.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/el_bender/benderhull3
{
	surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/el_bender/benderhull3.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/el_bender/benderhull4
{
	surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/el_bender/benderhull4.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/el_bender/benderhull5
{
	surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/el_bender/benderhull5.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/el_bender/benderhulltrim01
{
	surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/el_bender/benderhulltrim01.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/el_bender/benderhulltrim02
{
	surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/el_bender/benderhulltrim02.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/el_bender/benderlimb
{
	surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/el_bender/benderlimb.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/el_bender/benderblack
{
	surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/el_bender/benderblack.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/el_bender/elevator
{
	surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/el_bender/elevator.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/el_bender/elevator_floor
{
	surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/el_bender/elevator_floor.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/el_bender/benderfantrim
{
	surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/el_bender/benderfantrim.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/el_bender/eusophagus_door
{
	surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/el_bender/eusophagus_door.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
}